*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #051215;
}

.grid {
  max-width: 1000px;
  width: 100%;
  height: 85%;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 8px;
  transition: grid-template-columns 0.5s ease;
}

.grid:has(.left:hover) {
  grid-template-columns: 2fr 0.5fr 0.5fr;
}
.grid:has(.center:hover) {
  grid-template-columns: 0.5fr 2fr 0.5fr;
}
.grid:has(.right:hover) {
  grid-template-columns: 0.5fr 0.5fr 2fr;
}

img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}

.grid > div {
  cursor: pointer;
}
